package com.gingersoft.gsa.cloud.table.mvp.model.bean.request;

import com.gingersoft.gsa.cloud.base.common.bean.OrderBean;

import java.util.List;
import java.util.Map;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-01-06
 * 修订历史：2020-01-06
 * 描述：
 */

public class CreateOrderRequest {

    private int person;
    private int tableId;
    private String tableName;
    private int restaurantId;
    /**賬單小數*/
    private Double rounding;
    /**整單折扣ID*/
    private Long discountId;
    private Map<Long, List<OrderBean.OrderDetailsBean>> orderDetails;

    public int getPerson() {
        return person;
    }

    public void setPerson(int person) {
        this.person = person;
    }

    public int getTableId() {
        return tableId;
    }

    public void setTableId(int tableId) {
        this.tableId = tableId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public int getRestaurantId() {
        return restaurantId;
    }

    public void setRestaurantId(int restaurantId) {
        this.restaurantId = restaurantId;
    }

    public Double getRounding() {
        return rounding;
    }

    public void setRounding(Double rounding) {
        this.rounding = rounding;
    }

    public Long getDiscountId() {
        return discountId;
    }

    public void setDiscountId(Long discountId) {
        this.discountId = discountId;
    }

    public Map<Long, List<OrderBean.OrderDetailsBean>> getOrderDetails() {
        return orderDetails;
    }

    public void setOrderDetails(Map<Long, List<OrderBean.OrderDetailsBean>> orderDetails) {
        this.orderDetails = orderDetails;
    }


    //    public static class Request {
//        private long productId;
//        private String productName;
//        private double price;
//        private double lunchboxPrice;
//        private int number;
//
//        public Request() {
//        }
//
//        public Request(long productId, String productName, double price, double lunchboxPrice, int number) {
//            this.productId = productId;
//            this.productName = productName;
//            this.price = price;
//            this.lunchboxPrice = lunchboxPrice;
//            this.number = number;
//        }
//
//        public long getProductId() {
//            return productId;
//        }
//
//        public void setProductId(long productId) {
//            this.productId = productId;
//        }
//
//        public String getProductName() {
//            return productName;
//        }
//
//        public void setProductName(String productName) {
//            this.productName = productName;
//        }
//
//        public double getPrice() {
//            return price;
//        }
//
//        public void setPrice(double price) {
//            this.price = price;
//        }
//
//        public double getLunchboxPrice() {
//            return lunchboxPrice;
//        }
//
//        public void setLunchboxPrice(double lunchboxPrice) {
//            this.lunchboxPrice = lunchboxPrice;
//        }
//
//        public int getNumber() {
//            return number;
//        }
//
//        public void setNumber(int number) {
//            this.number = number;
//        }
//
//        @Override
//        public String toString() {
//            return "Request{" +
//                    "productId=" + productId +
//                    ", productName='" + productName + '\'' +
//                    ", price=" + price +
//                    ", lunchboxPrice=" + lunchboxPrice +
//                    ", number=" + number +
//                    '}';
//        }
//    }


    @Override
    public String toString() {
        return "CreateOrderRequest{" +
                "person=" + person +
                ", tableId=" + tableId +
                ", tableName='" + tableName + '\'' +
                ", restaurantId=" + restaurantId +
                ", rounding=" + rounding +
                ", discountId=" + discountId +
                ", orderDetails=" + orderDetails +
                '}';
    }
}

